从头认识java-10.6 finally(1)-特性

页面导航:首页 > 软件编程 > Java编程 > 从头认识java-10.6 finally(1)-特性

从头认识java-10.6 finally(1)-特性

来源: 作者: 时间:2016-01-21 09:39 【

这一章节我们来讨论一下finally。特性:finally总能够被执行。package com ray ch10;public class Test {private void test() throws Exception {throw new Exception();}public static

这一章节我们来讨论一下finally。

特性:finally总能够被执行。

 

package com.ray.ch10;

public class Test {

	private void test() throws Exception {
		throw new Exception();
	}

	public static void main(String[] args) {
		try {
			new Test().test();
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			System.out.println(finally);
		}
	}
}

输出:

 

java.lang.Exception
at com.ray.ch10.Test.test(Test.java:6)
at com.ray.ch10.Test.main(Test.java:11)
finally

 

另一个例子:

 

package com.ray.ch10;

public class Test {

	public static void main(String[] args) {
		int i = 0;
		while (true) {
			try {
				if (i++ == 0) {
					throw new Exception();
				}
			} catch (Exception e) {
				e.printStackTrace();
			} finally {
				System.out.println(finally);
				if (i == 2) {
					System.out.println(break);
					break;
				}
			}
		}
	}
}

输出:

 

java.lang.Exception
at com.ray.ch10.Test.main(Test.java:10)
finally
finally
break

 

总结:这一章节我们讲述了finally的特性。

 

这一章节就到这里,谢谢。

 

Tags:

文章评论

最 近 更 新
热 点 排 行
Js与CSS工具
代码转换工具

<